"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const date_fns_1 = require("date-fns");
const DAYS_PER_YEAR = 365.25;
/**
 * Time since last version update.
 * Measure of dependency drift.
 */
exports.calculateDrift = (currentVersion, latestVersion) => date_fns_1.differenceInDays(date_fns_1.parseISO(latestVersion), date_fns_1.parseISO(currentVersion)) /
    DAYS_PER_YEAR;
/**
 * Time since latest version release.
 * Pulse check of dependency activity and maintenance.
 */
exports.calculatePulse = (latestVersion) => date_fns_1.differenceInDays(Date.now(), date_fns_1.parseISO(latestVersion)) / DAYS_PER_YEAR;
