"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// TODO [2021-04-01]: replace with `Object.fromEntries()` after dropping node@10.
const fromEntries = require("fromentries");
const lodash_1 = require("lodash");
const execute_1 = require("./execute");
const getParsedDependencies = async (packageManager, cmd) => {
    const json = JSON.parse(await execute_1.execute(cmd));
    switch (packageManager) {
        case "pnpm":
            return lodash_1.merge(...json);
        case "berry":
        case "npm":
        case "yarn":
        default:
            return json;
    }
};
exports.getDependencies = async (packageManager) => {
    var _a;
    const cmd = (_a = {
        pnpm: "pnpm recursive list --depth=0 --json",
    }[packageManager]) !== null && _a !== void 0 ? _a : "npm ls --depth=0 --json --silent";
    const json = await getParsedDependencies(packageManager, cmd);
    return fromEntries(Object.entries({
        ...json.dependencies,
        ...json.devDependencies,
    }).map(([dependency, data]) => {
        var _a, _b;
        return [
            dependency,
            (_a = data.version) !== null && _a !== void 0 ? _a : (((_b = data.required) === null || _b === void 0 ? void 0 : _b.version) ||
                data.required).replace(/[<=>^~]/u, ""),
        ];
    }));
};
