"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const execute_1 = require("./execute");
exports.getReleaseTime = async (packageManager, packageName) => {
    const cmd = {
        berry: `yarn npm info ${packageName} --fields time --json`,
        npm: `npm view ${packageName} time --json`,
        pnpm: `npm view ${packageName} time --json`,
        yarn: `yarn info ${packageName} time --json`,
    }[packageManager];
    const stdout = await execute_1.execute(cmd);
    if (!stdout) {
        return {};
    }
    const json = JSON.parse(stdout);
    switch (packageManager) {
        case "berry":
            return json.time;
        case "yarn":
            return json.data;
        case "npm":
        default:
            return json;
    }
};
